# Uses of Interface
com.sun.source.tree.IdentifierTree

Packages that use IdentifierTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of IdentifierTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type IdentifierTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitIdentifier(IdentifierTree node, P p)`
Visits an `IdentifierTree` node.

## Uses of IdentifierTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type IdentifierTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitIdentifier(IdentifierTree node, P p)`
Visits an `IdentifierTree` node.
`R`
TreeScanner.`visitIdentifier(IdentifierTree node, P p)`
Visits an `IdentifierTree` node.